import { defineComponent as r, openBlock as a, createElementBlock as o, createElementVNode as t, createVNode as n, unref as m } from "vue";
import l from "../Schema/SchemaProperty.vue.js";
const p = { class: "parameter-item" }, i = { class: "parameter-item-container" }, h = /* @__PURE__ */ r({
  __name: "ParameterItem",
  props: {
    parameter: {},
    showChildren: { type: Boolean, default: !1 }
  },
  setup(s) {
    return (e, c) => (a(), o("li", p, [
      t("div", i, [
        n(m(l), {
          compact: "",
          description: e.parameter.description,
          level: 0,
          name: e.parameter.name,
          noncollapsible: e.showChildren,
          required: e.parameter.required,
          value: e.parameter.schema
        }, null, 8, ["description", "name", "noncollapsible", "required", "value"])
      ])
    ]));
  }
});
export {
  h as default
};
